package model;

import java.util.ArrayList;

public class Magician extends Piece{

    private Piece copiedPiece;
    protected Magician(Position p, int color) {
        super(p, color);
        copiedPiece = new Bishop(p, color);
    }

    public ArrayList<Position> getAvailableMoves(Board b) {
        return copiedPiece.getAvailableMoves(b);
    }


    public void setCopiedPiece(Piece copiedPiece) {
        this.copiedPiece = copiedPiece;
    }
    public void setPosition(Position p) {
        this.p = p;
        copiedPiece.setPosition(p);
    }
}
